%global minorversion 0.8
%global xfceversion 4.16

Name:           xfce4-dict
Version:        0.8.6
Release:        1
Summary:        A Dictionary Client for the Xfce desktop environment
License:        GPLv2+
URL:            http://goodies.xfce.org/projects/applications/%{name}
Source0:        http://archive.xfce.org/src/apps/%{name}/%{minorversion}/%{name}-%{version}.tar.bz2

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  gcc-c++
BuildRequires:  libxfce4ui-devel >= %{xfceversion}
BuildRequires:  xfce4-panel-devel >= %{xfceversion}
BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  intltool

Requires:       enchant, xdg-utils

%description
Xfce4 Dictionary is a client program to query different dictionaries. It can
query a Dict server (RFC 2229), open online dictionaries in a web browser or
verify the spelling of a word using enchant. This package contains the
stand-alone application, that can be used in different desktop environments
too.

%package        plugin
Summary:        Dictionary plugin for Xfce4 panel
Requires:       %{name} = %{version}-%{release}
Requires:       xfce4-panel >= %{xfceversion}

%description    plugin
This package contains a stand-alone application called“xfce4-dict and 
a panel plugin for the Xfce panel.

Xfce4-dict is a client program to query different dictionaries. It can
query a Dict server (RFC 2229), open online dictionaries in a web browser
or verify the spelling of a word using enchant.

%prep
%setup -q

%build
%configure --disable-static
%make_build

%install
%make_install

# remove la file
find %{buildroot} -name '*.la' -exec rm -f {} ';'

# make sure debuginfo is generated properly
chmod -c +x %{buildroot}%{_libdir}/xfce4/panel/plugins/*.so

%find_lang %{name}

desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

%files -f %{name}.lang
%license COPYING
%doc AUTHORS ChangeLog README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/org.xfce.Dictionary.png
%{_datadir}/icons/hicolor/scalable/apps/org.xfce.Dictionary.svg
%{_mandir}/man1/%{name}.1.gz

%files plugin
%{_libdir}/xfce4/panel/plugins/*.so
%{_datadir}/xfce4/panel/plugins/*.desktop

%changelog
* Fri Jan 12 2024 zhangxingrong <zhangxingrong@uniontech.com>  0.8.6-1
- upgrade to 0.8.6

* Fri Jun 18 2021 zhanglin <lin.zhang@turbolinux.com.cn> - 0.8.4-1
- Update to 0.8.4

* Tue Jul 14 2020 Dillon Chen <dillon.chen@turbolinux.com.cn> - 0.8.3-1
- Init package
